> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unarchive Product Collection

> Unarchive a product collection associated with your account.



## OpenAPI

````yaml post /product-collections/{id}/unarchive
openapi: 3.1.0
info:
  title: public
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.102.0
servers:
  - url: https://test.dodopayments.com/
    description: Test Mode Server Host
  - url: https://live.dodopayments.com/
    description: Live Mode Server Host
security: []
tags:
  - name: Products
  - name: Payments
  - name: Subscriptions
  - name: Addons
  - name: Customers
  - name: Refunds
  - name: Disputes
  - name: Events
  - name: License Keys
  - name: Entitlements
  - name: Licenses
  - name: Discounts
  - name: Meters
  - name: Credit Entitlements
  - name: Credit Entitlement Balances
  - name: Outgoing Webhooks
  - name: Checkout
  - name: Webhook Events
paths:
  /product-collections/{id}/unarchive:
    post:
      tags:
        - Product Collections
      operationId: undelete_collection
      parameters:
        - name: id
          in: path
          description: Product Collection Id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Product Collection Unarchived Successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UndeleteCollectionResponse'
        '500':
          description: Something went wrong :(
      security:
        - API_KEY: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import DodoPayments from 'dodopayments';

            const client = new DodoPayments({
              bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.productCollections.unarchive('id');

            console.log(response.collection_id);
        - lang: Python
          source: |-
            import os
            from dodopayments import DodoPayments

            client = DodoPayments(
                bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"),  # This is the default and can be omitted
            )
            response = client.product_collections.unarchive(
                "id",
            )
            print(response.collection_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tresponse, err := client.ProductCollections.Unarchive(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.CollectionID)\n}\n"
        - lang: Java
          source: >-
            package com.dodopayments.api.example;


            import com.dodopayments.api.client.DodoPaymentsClient;

            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;

            import
            com.dodopayments.api.models.productcollections.ProductCollectionUnarchiveParams;

            import
            com.dodopayments.api.models.productcollections.ProductCollectionUnarchiveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

                    ProductCollectionUnarchiveResponse response = client.productCollections().unarchive("id");
                }
            }
        - lang: Kotlin
          source: >-
            package com.dodopayments.api.example


            import com.dodopayments.api.client.DodoPaymentsClient

            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient

            import
            com.dodopayments.api.models.productcollections.ProductCollectionUnarchiveParams

            import
            com.dodopayments.api.models.productcollections.ProductCollectionUnarchiveResponse


            fun main() {
                val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

                val response: ProductCollectionUnarchiveResponse = client.productCollections().unarchive("id")
            }
        - lang: Ruby
          source: |-
            require "dodopayments"

            dodo_payments = Dodopayments::Client.new(
              bearer_token: "My Bearer Token",
              environment: "test_mode" # defaults to "live_mode"
            )

            response = dodo_payments.product_collections.unarchive("id")

            puts(response)
        - lang: PHP
          source: |-
            <?php

            require_once dirname(__DIR__) . '/vendor/autoload.php';

            use Dodopayments\Client;
            use Dodopayments\Core\Exceptions\APIException;

            $client = new Client(
              bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
              environment: 'test_mode',
            );

            try {
              $response = $client->productCollections->unarchive('id');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: C#
          source: >-
            using System;

            using DodoPayments.Client;

            using DodoPayments.Client.Models.ProductCollections;


            DodoPaymentsClient client = new();


            ProductCollectionUnarchiveParams parameters = new() { ID = "id" };


            var response = await
            client.ProductCollections.Unarchive(parameters);


            Console.WriteLine(response);
components:
  schemas:
    UndeleteCollectionResponse:
      type: object
      required:
        - message
        - collection_id
        - excluded_product_ids
      properties:
        collection_id:
          type: string
          description: Collection ID that was unarchived
        excluded_product_ids:
          type: array
          items:
            type: string
          description: Product IDs that were excluded because they are archived
        message:
          type: string
          description: Success message
  securitySchemes:
    API_KEY:
      type: http
      scheme: bearer

````